KDE 4.5 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.kparts import *`

## Detailed Description

## Class Index

B | H | PartManager (KParts)
BrowserArguments (KParts) | HistoryProvider (KParts) | PartSelectEvent (KParts)
BrowserExtension (KParts) | L | Plugin (KParts)
BrowserHostExtension (KParts) | LiveConnectExtension (KParts) | PluginInfo (KParts.Plugin)
BrowserInterface (KParts) | M | R
BrowserOpenOrSaveQuestion (KParts) | MainWindow (KParts) | ReadOnlyPart (KParts)
BrowserRun (KParts) | O | ReadWritePart (KParts)
E | OpenUrlArguments (KParts) | S
Event (KParts) | OpenUrlEvent (KParts) | ScriptableExtension (KParts)
F | P | StatusBarExtension (KParts)
Factory (KParts) | Part (KParts) | W
G | PartActivateEvent (KParts) | WindowArgs (KParts)
GUIActivateEvent (KParts) | PartBase (KParts) |

## Functions

QDBusArgument | operator << (QDBusArgument argument, KParts::ScriptableExtension::Null n)
QDBusArgument | operator << (QDBusArgument argument, KParts::ScriptableExtension::Undefined u)
QDBusArgument | operator << (QDBusArgument argument, KParts::ScriptableExtension::Exception e)
QDBusArgument | operator >> (QDBusArgument argument, KParts::ScriptableExtension::Null n)
QDBusArgument | operator >> (QDBusArgument argument, KParts::ScriptableExtension::Undefined u)
QDBusArgument | operator >> (QDBusArgument argument, KParts::ScriptableExtension::Exception e)

## Function Documentation

QDBusArgument operator << | ( | QDBusArgument | argument,
|  | KParts::ScriptableExtension::Null | n
| ) |  |  |

QDBusArgument operator << | ( | QDBusArgument | argument,
|  | KParts::ScriptableExtension::Undefined | u
| ) |  |  |

QDBusArgument operator << | ( | QDBusArgument | argument,
|  | KParts::ScriptableExtension::Exception | e
| ) |  |  |

QDBusArgument operator >> | ( | QDBusArgument | argument,
|  | KParts::ScriptableExtension::Null | n
| ) |  |  |

QDBusArgument operator >> | ( | QDBusArgument | argument,
|  | KParts::ScriptableExtension::Undefined | u
| ) |  |  |

QDBusArgument operator >> | ( | QDBusArgument | argument,
|  | KParts::ScriptableExtension::Exception | e
| ) |  |  |